/*
 * モデル項目詳細ダイアログ
 */
define([
  "dojo/_base/declare",
], function(declare) {
  return declare(null, {
    constructor: function() {
    },

    getSettingsByModelitemType: function() {
      return {
        // 詳細 - URL
        "MODELITEMDETAIL_DETAIL_URL": {
          "URL": true,
        },
        // 入力制御 - 日付・時刻
        "MODELITEMDETAIL_INPUT_TYPE_DATE_TIME": {
          "date": true,
          "dateTime": true,
          "time": true,
        },
        // 入力制御 - 日付入力方式
        "MODELITEMDETAIL_INPUT_MODEL_MODELITEM_CALENDARINPUT": {
          "date": true,
          "dateTime": true,
          "time": false,
        },
        // 入力制御 - 日付オートフォーマット機能
        "MODELITEMDETAIL_INPUT_MODEL_MODELITEM_DATEAUTOFORMAT": {
          "date": true,
          "dateTime": true,
          "time": false,
        },
        "MODELITEMDETAIL_INPUT_MODEL_MODELITEM_SUBFORMATFOREDIT": {
          "date": true,
          "dateTime": true,
          "time": false,
        },
        // 入力制御 - 時刻入力方式
        "MODELITEMDETAIL_INPUT_MODEL_MODELITEM_SELECTINPUT_HM": {
          "date": false,
          "dateTime": true,
          "time": true,
        },
        // 入力制御 - モデル参照
        "MODELITEMDETAIL_INPUT_TYPE_MODEL_RELATION": {
          "reference_listbox": true,
          "reference_radiobutton": true,
          "reference_checkbox": true,
          "reference_searchWindow": true,
        },
        // 入力制御 - モデル参照 - 未選択を用意する
        "MODELITEMDETAIL_INPUT_TYPE_MODEL_RELATION_NOSELECTION": {
          "reference_listbox": true,
        },
        // 入力制御 - モデル参照 - クリアボタンを作成する
        "MODELITEMDETAIL_INPUT_TYPE_MODEL_RELATION_DISPLAYITEM_CLEAR": {
          "reference_radiobutton": true,
          "reference_checkbox": true,
          "reference_searchWindow": true,
        },
        // 入力制御 - モデル参照 - チェックボックス・ラジオボタンの折り返し数
        "MODELITEMDETAIL_INPUT_TYPE_MODEL_RELATION_DISPLAYITEM_COLUMNSIZE": {
          "reference_listbox": true,
          "reference_radiobutton": true,
          "reference_checkbox": true,
        },
        // 入力制御 - モデル参照 - ラジオボタンをチェックボックスで表示する
        "MODELITEMDETAIL_INPUT_TYPE_MODEL_RELATION_PSEUDO_CHECKBOX": {
          "reference_radiobutton": true,
        },
        // 入力制御 - モデル参照(検索)
        "MODELITEMDETAIL_INPUT_TYPE_MODEL_RELATION_SEARCH": {
          "reference_searchWindow": true,
        },
        // 入力制御 - モデル参照(絞込)
        "MODELITEMDETAIL_INPUT_TYPE_MODEL_RELATION_RESTRICT": {
          "reference_checkbox": true,
          "reference_listbox": true,
          "reference_radiobutton": true,
          "reference_searchWindow": true,
        },
        // 入力制御 - ファイル
        "MODELITEMDETAIL_INPUT_TYPE_FILE": {
          "filename": true,
          "URL": true,
        },
        // 入力制御 - 入力支援
        "MODELITEMDETAIL_INPUT_INPUTSUPPORT": {
          "string": true,
          "zipcode": false,
          "mailaddress": false,
          "URL": false,
          "filename": false,
        },
        // 出力制御 - 詳細 - 日付・時刻
        "MODELITEMDETAIL_OUTPUT_SHOW_TYPE_DATE_TIME": {
          "dateTime": true,
        },
        // 出力制御 - 詳細 - 数値
        "MODELITEMDETAIL_OUTPUT_SHOW_NUMBER": {
          "number": true,
        },
        // 出力制御 - 詳細 - ファイル
        "MODELITEMDETAIL_OUTPUT_SHOW_TYPE_FILE": {
          "filename": true,
          "URL": true,
        },
        // 出力制御 - 詳細 - モデル参照
        "MODELITEMDETAIL_OUTPUT_SHOW_TYPE_MODEL_RELATION": {
          "reference_checkbox": true,
        },
        // 出力制御 - 詳細 - モデル参照(連動)
        "MODELITEMDETAIL_OUTPUT_SHOW_TYPE_MODEL_RELATION_STOREREF": {
          "reference_lookup": true,
        },
        // 出力制御 - 一覧 - 数値
        "MODELITEMDETAIL_OUTPUT_SHOWLIST_NUMBER": {
          "number": true,
        },
        // 出力制御 - 一覧 - ファイル
        "MODELITEMDETAIL_OUTPUT_SHOWLIST_TYPE_FILE": {
          "filename": true,
          "URL": true,
        },
        // 出力制御 - 一覧 - モデル参照
        "MODELITEMDETAIL_OUTPUT_SHOWLIST_TYPE_MODEL_RELATION": {
          "reference_checkbox": true,
          "reference_radiobutton": true,
        },
        // 出力制御 - 一覧 - チェックボックスの選択された画像を表示しない
        "MODELITEMDETAIL_OUTPUT_SHOWLIST_TYPE_MODEL_RELATION_USECHECKYNIMAGE": {
          "reference_checkbox": true,
        },
        // 検索制御 - 日付・時刻
        "MODELITEMDETAIL_SEARCH_TYPE_DATE_TIME": {
          "date": true,
          "dateTime": true,
          "time": false,
        },
        // 検索制御 - 日付入力方式
        "MODELITEMDETAIL_SEARCH_MODEL_MODELITEM_CALENDARINPUTFORSEARCH": {
          "date": true,
        },
        // 検索制御 - 全文検索
        "MODELITEMDETAIL_SEARCH_TEXTSEARCH": {
          "string": true,
        },
        // 検索制御 - モデル参照
        "MODELITEMDETAIL_SEARCH_TYPE_MODEL_RELATION": {
          "referModel": true,
        },
        // 検索制御 - モデル参照(連動)
        "MODELITEMDETAIL_SEARCH_TYPE_MODEL_RELATION_STOREREF": {
          "reference_lookup": true,
        },
        // 検索制御 - モデル参照(絞込)
        "MODELITEMDETAIL_SEARCH_TYPE_MODEL_RELATION_RESTRICT": {
          "reference_checkbox": true,
          "reference_listbox": true,
          "reference_radiobutton": true,
          "reference_searchWindow": true,
        },
        // 説明 - 登録画面 - 日付・時刻・郵便番号型
        "MODELITEMDETAIL_HELP_INSERT_DISPLAYITEM_AUTOTIPS": {
          "dateTime": true,
          "zipcode": true,
        },
        // 説明 - 更新画面 - 日付・時刻・郵便番号型
        "MODELITEMDETAIL_HELP_UPDATE_DISPLAYITEM_AUTOTIPS": {
          "dateTime": true,
          "zipcode": true,
        },
        // 説明 - 検索画面 - 日付・時刻・郵便番号型
        "MODELITEMDETAIL_HELP_SEARCH_DISPLAYITEM_AUTOTIPS": {
          "dateTime": true,
          "zipcode": true,
        },
        // その他 - 追加ボタン
        "MODELITEMDETAIL_OTHER_ADDITIONAL_BUTTONS": {
          "zipcode": false,
          "filename": false,
          "string": true,
          "number": true,
        }
      };
    },

    getSettingsByDisplayitemType: function() {
      return {
        // 入力制御 - テキストエリア
        "MODELITEMDETAIL_INPUT_TYPE_TEXTAREA": {
          "textarea": true,
        },
        // 入力制御 - テキストエリア(リッチ)
        "MODELITEMDETAIL_INPUT_TYPE_RICHTEXTAREA": {
          "rtextarea": true,
        },
        // 入力制御 - バーコード
        "MODELITEMDETAIL_INPUT_BARCODE": {
          "barcodeReader": true,
        },
        // 出力制御 - 詳細 - テキストエリア
        "MODELITEMDETAIL_OUTPUT_SHOW_TYPE_TEXTAREA": {
          "textarea": true,
          "rtextarea": true,
        },
        // 出力制御 - 詳細 - 手書き
        "MODELITEMDETAIL_OUTPUT_SHOW_TYPE_HANDWRITING": {
          "handwriting": true,
        },
        // 出力制御 - 一覧 - テキストエリア
        "MODELITEMDETAIL_OUTPUT_SHOWLIST_TYPE_TEXTAREA": {
          "textarea": true,
          "rtextarea": true,
        },
        // 出力制御 - 一覧 - 手書き
        "MODELITEMDETAIL_OUTPUT_SHOWLIST_TYPE_HANDWRITING": {
          "handwriting": true,
        },
        // 検索制御 - バーコード
        "MODELITEMDETAIL_SEARCH_BARCODE": {
          "barcodeReader": true,
        },
      };
    },

  });
});
